double quiet_nan(long z);
float quiet_nanf(long z);
#if 0
double infinity();
float infinityf();
#endif

#if 0
int isnormal(double);
#endif

#if 0
int finite(double);
#endif

#if 0
int finitef(double);
#endif

#if 0
int isnan(double);
#endif

#if 0
int isnanf(double);
#endif
